Ubuntu

1814:0601 rt2860 cardbus can't connect: Association request to the driver failed

Reported by aschuring on 2010-04-16
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

This might very well be a duplicate of #496093, but I'm reporting a new bug because:
- I'm using the pcmcia module, which no other reporter seems to have
- my issue is not fixed with v2.3.0 from the Ralink website
- I'm already using a WPA2-only access point (or I don't know how to configure OpenWRT correctly)
- I have not run any Linux before on this notebook, so I can't tell whether it is a regression

lspci info:
05:00.0 Network controller: RaLink RT2800 802.11n PCI
 Subsystem: SiteCom Europe BV Device 0015
 Flags: bus master, slow devsel, latency 64, IRQ 9
 Memory at 1c000000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: [40] Power Management version 3
 Kernel driver in use: rt2860
 Kernel modules: rt2860sta
05:00.0 0280: 1814:0601
 Subsystem: 182d:0015

ladmin@pixie:~$ modinfo rt2860sta
filename: /lib/modules/2.6.32-21-generic/kernel/drivers/net/wireless/rt2860sta.ko
version: 2.3.0.0
license: GPL
srcversion: 73F7AA771D91BB10E13F38D

But I'm still getting this in syslog:
Apr 16 13:28:08 pixie wpa_supplicant[1659]: Trying to associate with 00:1d:7e:c6:9c:24 (SSID='WRT-AS24' freq=2412 MHz)
Apr 16 13:28:08 pixie kernel: [ 723.024400] ===>rt_ioctl_giwscan. 7(7) BSS returned, data->length = 1023
Apr 16 13:28:08 pixie kernel: [ 723.024972] ==>rt_ioctl_siwfreq::SIOCSIWFREQ[cmd=0x8b04] (Channel=1)
Apr 16 13:28:08 pixie wpa_supplicant[1659]: Association request to the driver failed
Apr 16 13:28:08 pixie wpa_supplicant[1659]: Associated with 00:1d:7e:c6:9c:24
Apr 16 13:28:08 pixie wpa_supplicant[1659]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Apr 16 13:28:08 pixie wpa_supplicant[1659]: last message repeated 3 times

Whereas with the original driver (1.1.8? from kernel 2.6.32-21) I got:
Apr 16 12:36:14 pixie wpa_supplicant[741]: Trying to associate with 00:1d:7e:c6:
9c:24 (SSID='WRT-AS24' freq=2412 MHz)
Apr 16 12:36:14 pixie wpa_supplicant[741]: Association request to the driver failed
Apr 16 12:36:14 pixie wpa_supplicant[741]: Associated with 00:1d:7e:c6:9c:24
Apr 16 12:36:17 pixie wpa_supplicant[741]: WPA: Key negotiation completed with 0
0:1d:7e:c6:9c:24 [PTK=CCMP GTK=CCMP]
Apr 16 12:36:17 pixie wpa_supplicant[741]: CTRL-EVENT-CONNECTED - Connection to
00:1d:7e:c6:9c:24 completed (auth) [id=0 id_str=wlan-loos]
Apr 16 12:40:47 pixie wpa_supplicant[741]: CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Apr 16 12:40:53 pixie wpa_supplicant[741]: Failed to initiate AP scan.
Apr 16 12:41:08 pixie wpa_supplicant[741]: Trying to associate with 00:1d:7e:c6:9c:24 (SSID='WRT-AS24' freq=2412 MHz)
Apr 16 12:41:08 pixie wpa_supplicant[741]: Association request to the driver failed

This all worked correctly in Windows (which I no longer have), and my game console connects to the access point without trouble. I don't have other access points to try right now.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices: aplay: device_list:223: no soundcards found...
Architecture: i386
ArecordDevices: arecord: device_list:223: no soundcards found...
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1c', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 10.04
Lsusb: Error: [Errno 2] No such file or directory
MachineType: FUJITSU SIEMENS LIFEBOOK B Series
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   3.3V 32-bit PC Card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-21-generic root=/dev/mapper/hostname-root ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Regression: No
RelatedPackageVersions: linux-firmware 1.34
Reproducible: Yes
RfKill:

StagingDrivers: rt2860sta
Tags: lucid ubuntu-une networking needs-upstream-testing staging
Title: [STAGING]
Uname: Linux 2.6.32-21-generic i686
UserGroups: sudo
dmi.bios.date: 06/17/2002
dmi.bios.vendor: Phoenix/FUJITSU
dmi.bios.version: Version 1.24
dmi.board.name: FJNB150
dmi.board.vendor: FUJITSU
dmi.chassis.type: 10
dmi.chassis.vendor: FUJITSU SIEMENS
dmi.modalias: dmi:bvnPhoenix/FUJITSU:bvrVersion1.24:bd06/17/2002:svnFUJITSUSIEMENS:pnLIFEBOOKBSeries:pvr:rvnFUJITSU:rnFJNB150:rvr:cvnFUJITSUSIEMENS:ct10:cvr:
dmi.product.name: LIFEBOOK B Series
dmi.sys.vendor: FUJITSU SIEMENS

Jeremy Foshee (jeremyfoshee) wrote :

Hi aschuring,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 564629

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

with 2.6.34-rc4, the symptoms are exactly the same: on boot, the association appears to succeed, and on the router I can see that an IP address is being allocated to 00:0c:f6:37:be:29, which is the macaddress of wlan0. But this IP address, although distributed by the server, is never allocated on the client.

I can see in daemon.log:

Apr 30 12:41:51 pixie wpa_supplicant[607]: Trying to associate with 00:1d:7e:c6:9c:24 (SSID='WRT-AS24' freq=2412 MHz)
Apr 30 12:41:51 pixie wpa_supplicant[607]: Association request to the driver failed

And syslog shows messages like:
Apr 30 12:43:36 pixie kernel: [ 670.015997] ===>rt_ioctl_giwscan. 5(5) BSS returned, data->length = 677
Apr 30 12:43:36 pixie kernel: [ 670.016588] ==>rt_ioctl_siwfreq::SIOCSIWFREQ[cmd=0x8b04] (Channel=1)
Apr 30 12:43:41 pixie kernel: [ 675.341534] ===>rt_ioctl_giwscan. 6(6) BSS returned, data->length = 853
Apr 30 12:43:41 pixie kernel: [ 675.342073] ==>rt_ioctl_siwfreq::SIOCSIWFREQ[cmd=0x8b04] (Channel=1)

ladmin@pixie:~$ uname -a
Linux pixie 2.6.34-020634rc4-generic #020634rc4 SMP Mon Apr 19 09:38:39 UTC 2010 i686 GNU/Linux

ladmin@pixie:~$ iwlist wlan0 scan
wlan0 Scan completed :
          Cell 01 - Address: 00:1D:7E:C6:9C:24
                    Protocol:802.11g
                    ESSID:"WRT-AS24"
                    Mode:Managed
                    Channel:1

aschuring (aelschuring) on 2010-04-30
tags: removed: needs-upstream-testing
aschuring (aelschuring) wrote :

PJO wrote:
> Solution here: http://wombatdiet.net/2010/05/09/ubuntu-10-04-on-asus-1000-eee-pc/
>
You must have missed the part where I said "my issue is not fixed with
v2.3.0 from the Ralink website". It's only the third line of my report.

tags: removed: needs-kernel-logs
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
aschuring (aelschuring) wrote :

Sadly, I no longer am able to test this. The harddisk of the notebook died a few weeks ago, and given its age, it's very unlikely I will spend money on a new disk for this machine.

summary: - rt2860 cardbus can't connect: Association request to the driver failed
+ 1814:0601 rt2860 cardbus can't connect: Association request to the
+ driver failed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers